﻿@{
    Layout = "~/Views/Shared/Layout/_Layout.cshtml";
    ViewData["PageName"] = ViewData["PageName"];
    ViewData["PageParentName"] = ViewData["PageParentName"];
    ViewData["MenuType"] = ViewData["MenuType"];

}
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers

<div class="row clearfix scrolltab">
    <div class="col-lg-2 col-md-6 col-sm-6">
        <div class="card text-center bg-info">
            <div class="body">
                <div class="p-15 text-light">
                    <h3 id="count_annual_leave">12</h3>
                    <span>Nghỉ phép năm</span>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-2 col-md-6 col-sm-6">
        <div class="card text-center bg-secondary">
            <div class="body">
                <div class="p-15 text-light">
                    <h3 id="count_leave_sick">12</h3>
                    <span>Đơn nghỉ ốm</span>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-2 col-md-6 col-sm-6">
        <div class="card text-center bg-warning">
            <div class="body">
                <div class="p-15 text-light">
                    <h3 id="count_leave_pregnant">125</h3>
                    <span>Nghỉ thai sản</span>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-2 col-md-6 col-sm-6">
        <div class="card text-center bg-dark">
            <div class="body">
                <div class="p-15 text-light">
                    <h3 id="count_leave_without_permission">318</h3>
                    <span>Nghỉ không phép</span>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-2 col-md-6 col-sm-6">
        <div class="card text-center bg-primary">
            <div class="body">
                <div class="p-15 text-light">
                    <h3 id="count_leave_wfh">318</h3>
                    <span>Làm việc tại nhà</span>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-2 col-md-6 col-sm-6">
        <div class="card text-center bg-default">
            <div class="body">
                <div class="p-15 text-dark">
                    <h3 id="count_holidays">318</h3>
                    <span>Nghỉ lễ</span>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-12 col-md-12 col-sm-12">
        <div class="card">
            <div class="header">
                <h2> Tìm kiếm </h2>
            </div>
            <div class="body">
                <div class="row clearfix">
                    <div class="col-sm-6">
                        <label for="keysearch">Tìm theo từ khóa</label>
                        <div class="form-group">
                            <input type="text" class="form-control" for="keysearch" id="keysearch" placeholder="Họ tên, email, số đt,....">
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <label for="ddlLeaveTypeSearch">Loại đơn phép</label>
                        <div class="form-group">
                            <input type="text" class="form-control" for="ddlLeaveTypeSearch" id="ddlLeaveTypeSearch">
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <label for="ddlleaveStatusSearch">Trạng thái đơn phép</label>
                        <div class="form-group">
                            <input type="text" class="form-control" for="ddlleaveStatusSearch" id="ddlleaveStatusSearch">
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <label for="ddlApprovedStatusSearch">Trạng thái duyệt</label>
                        <div class="form-group">
                            <input type="text" class="form-control" for="ddlApprovedStatusSearch" id="ddlApprovedStatusSearch">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group"> 
                            <div id="DateRangeSearch"></div>
                        </div>
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-sm-12">
                        <div class="mt-4">
                            <button onclick="SearchLeaveRequest()" class="btn btn-info ladda-button" data-style="expand-right" id="btn-search-leave"><i class="fa fa-search"></i> Tìm kiếm</button>
                            <button onclick="OpenViewAdd()" class="btn btn-success ladda-button" data-style="expand-right"><i class="fa fa-plus-circle"></i> Thêm mới </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="header">
                <h2> Danh sách @ViewData["PageName"] </h2>
            </div>
            <div class="body">
                <div id="Gridlist">

                </div>
            </div>
        </div>
    </div>
</div>

<!-- Large Size -->
<div class="modal fade" id="FormModal" role="dialog">
    <div class="modal-dialog " role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="title" id="Formtitle"> TẠO ĐƠN PHÉP </h4>
            </div>
            <div class="modal-body">
                <div class="col-lg-12 col-md-12">
                    <div class="clearfix m-b-20">
                        <input id="LeaveID" hidden />
                        <div class="form-group col-md-12">
                            <label for="DepartID">Đơn vị / phòng ban </label>
                            <input type="text" id="ddlDepartID">
                        </div>
                        <div class=" form-group col-md-12" id="showddl_employee">
                            <label for="EmpID">Chọn nhân viên </label>
                            <button class="k-button" onclick="selectallEmpID()">Chọn hết</button>
                            <button class="k-button" onclick="deselectallEmpID()">Chọn lại</button>
                            <input type="text" id="ddlEmpID">
                        </div>
                        <div class=" form-group col-md-12">
                            <label for="ddlLeaveType">Chọn loại đơn phép</label>
                            <input type="text" id="ddlLeaveType">
                        </div>

                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Chọn thời gian nghỉ</label>
                                <button type="button" class="btn btn-outline-primary" onclick="choosetimeleave(1)" id="few_day">Nhiều ngày </button>
                                <button type="button" class="btn btn-outline-primary" onclick="choosetimeleave(2)" id="one_day">Một ngày</button>
                                <button type="button" class="btn btn-outline-primary" onclick="choosetimeleave(3)" id="morning">Buổi sáng</button>
                                <button type="button" class="btn btn-outline-primary" onclick="choosetimeleave(4)" id="afternoon">Buổi chiều</button>
                            </div>

                        </div>
                        <div class="col-md-12" id="choosefewday">
                            <div class="form-group">
                                <div id="DateRange"></div>
                            </div>
                        </div>
                        <div class="col-md-12"  id="chooseinday">
                            <div class="form-group">
                                <input type="text" id="DatePicker" style="width:100%;">
                            </div>
                        </div>
                        <div class=" form-group col-md-12">
                            <label for="Description">Lý do</label>
                            <textarea type="text" class="form-control" rows="4" id="Description"> </textarea>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-success ladda-button js-sweetalert" data-style="expand-right" id="btn-add" onclick="CreateLeaveRequest()"><i class="fa fa-check-circle"></i> <span> Thêm mới</span></button>
                <button type="button" class="btn btn-warning ladda-button" data-style="expand-right" id="btn-edit" onclick="ModifyLeaveRequest()"><i class="fa fa-check-circle"></i> <span> Điều chỉnh</span></button>
                <button type="button" class="btn btn-danger" data-dismiss="modal" onclick="CloseForm()"><i class="icon-power"></i> Đóng</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="EditForm" role="dialog">
    <div class="modal-dialog " role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="title" id="Formtitle"> ĐIỀU CHỈNH ĐƠN PHÉP </h4>
            </div>
            <div class="modal-body">
                <div class="col-lg-12 col-md-12">
                    <div class="clearfix m-b-20">
                        <input id="LeaveID" hidden />
                        <div class="form-group col-md-12">
                            <label for="EmpID">Tên nhân viên </label>
                            <span id="FullName"></span>
                        </div>
                         
                        <div class=" form-group col-md-12">
                            <label for="ddlLeaveType">Chọn loại đơn phép</label>
                            <input type="text" id="ddlLeaveTypeEdit">
                        </div>

                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Chọn thời gian nghỉ</label>
                                <button type="button" class="btn btn-outline-primary" onclick="choosetimeleave(1)" id="few_day">Nhiều ngày </button>
                                <button type="button" class="btn btn-outline-primary" onclick="choosetimeleave(2)" id="one_day">Một ngày</button>
                                <button type="button" class="btn btn-outline-primary" onclick="choosetimeleave(3)" id="morning">Buổi sáng</button>
                                <button type="button" class="btn btn-outline-primary" onclick="choosetimeleave(4)" id="afternoon">Buổi chiều</button>
                            </div>

                        </div>
                        <div class="col-md-12" id="choosefewday">
                            <div class="form-group">
                                <div id="DateRange"></div>
                            </div>
                        </div>
                        <div class="col-md-12" id="chooseinday">
                            <div class="form-group">
                                <input type="text" id="DatePicker" style="width:100%;">
                            </div>
                        </div>
                        <div class=" form-group col-md-12">
                            <label for="Description">Lý do</label>
                            <textarea type="text" class="form-control" rows="4" id="Description"> </textarea>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-success ladda-button js-sweetalert" data-style="expand-right" id="btn-add" onclick="CreateLeaveRequest()"><i class="fa fa-check-circle"></i> <span> Thêm mới</span></button>
                <button type="button" class="btn btn-warning ladda-button" data-style="expand-right" id="btn-edit" onclick="ModifyLeaveRequest()"><i class="fa fa-check-circle"></i> <span> Điều chỉnh</span></button>
                <button type="button" class="btn btn-danger" data-dismiss="modal" onclick="CloseForm()"><i class="icon-power"></i> Đóng</button>
            </div>
        </div>
    </div>
</div>

@section css{
    <!-- layout css -->
    <link rel="stylesheet" href="~/admin/css/ladda.min.css" />
    <link rel="stylesheet" href="~/lib/vendor/nestable/jquery-nestable.css" />
    <link rel="stylesheet" href="~/lib/vendor/sweetalert/sweetalert.css">
    <link rel="stylesheet" href="~/lib/vendor/summernote/dist/summernote.css" />
    <!-- Layout kendo -->
    <link href="~/lib/kendo/library/kendo.common2019.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.rtl_2019.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.mobile.min.css" rel="stylesheet" />

    <!-- custom css -->
    <link href="~/css/manager/custom-kendo.css" rel="stylesheet" />
    <link href="~/css/manager/leave/leaverequest.css" rel="stylesheet" />

}
@section Scripts {
    <!-- Page javascript -->
    <script src="~/admin/js/nestable.js"></script>
    <script src="~/admin/js/ladda.min.js"></script>
    <!-- Assets js -->
    <script src="~/lib/assets/js/pages/ui/dialogs.js"></script>
    <script src="~/lib/vendor/summernote/dist/summernote.js"></script>

    <!-- Function js -->
    <script src="~/lib/vendor/sweetalert/sweetalert.min.js"></script>
    <script src="~/lib/ckeditor/ckeditor.js"></script>

    @*<script src="~/lib/kendo/library/kendo.all.min.js"></script>*@
    <script src="~/lib/kendo/library/kendo.all_2021.min.js"></script>
    <script src="~/lib/kendo/library/kendo.messages.vi-VN.js"></script>
    <script src="~/lib/kendo/library/kendo.culture.vi-VN.min.js"></script>
    <script src="~/js/manager/base.js"></script>
    <script src="~/js/manager/kendocontroller.js"></script>
    <script src="~/js/manager/Leave/LeaveFunction.js"></script>
    <script src="~/js/manager/Leave/leaveCreate.js"></script>
}

